.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.40.4.
.TH DTEST "1" "January 2014" "dateutils 0.2.7" "User Commands"
.SH NAME
dtest - Compare dates or times
.SH SYNOPSIS
.B dtest
[\fIOPTION\fR]... \fIDATE/TIME1 OP DATE/TIME2\fR
.SH DESCRIPTION
dtest 0.2.7
.PP
Like test(1) but for dates.
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date/time and duration
parser errors.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format, can be used multiple times.
Each date/time will be passed to the input
format parsers in the order they are given, if a
date/time can be read successfully with a given
input format specifier string, that value will
be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
Enable interpretation of backslash escapes in the
output and input format specifier strings.
.IP
Group: op
.IP
Following operations are supported
.TP
\fB\-\-eq\fR
DATE/TIME1 is the same as DATE/TIME2
.TP
\fB\-\-ne\fR
DATE/TIME1 is not the same as DATE/TIME2
.TP
\fB\-\-gt\fR
DATE/TIME1 is newer than DATE/TIME2
.TP
\fB\-\-lt\fR
DATE/TIME1 is older than DATE/TIME2
.TP
\fB\-\-ge\fR
DATE/TIME1 is newer than or equals DATE/TIME2
.TP
\fB\-\-le\fR
DATE/TIME1 is older than or equals DATE/TIME2
.TP
\fB\-\-nt\fR
DATE/TIME1 is newer than DATE/TIME2
.TP
\fB\-\-ot\fR
DATE/TIME1 is older than DATE/TIME2
.TP
\fB\-\-cmp\fR
compare DATE/TIME1 to DATE/TIME2, return with 0 if
equal, 1 if left argument was newer and 2 if
right argument was newer
.SH EXAMPLES

  $ dtest 2012-03-01 --gt 2012-03-02 || echo "false"
  false
  $


  $ dtest 2012-03-01 --ot 2012-03-02 && echo "true"
  true
  $


  $ dtest 2012-03-01 --cmp 2012-03-02; echo $?
  2
  $


  $ dtest 2012-03-02 --cmp 2012-03-02; echo $?
  0
  $


  $ dtest 2012-03-02 --cmp 2012-03-01; echo $?
  1
  $


  $ dtest 12:00:04 --gt 11:22:33 && echo "true"
  true
  $


  $ dtest 12:00:04 --lt 11:22:33 || echo "false"
  false
  $


  $ dtest 12:00:04 --cmp 11:22:33; echo "$@{?@}"
  1
  $


  $ dtest --cmp 11:22:33 12:00:04; echo "$@{?@}"
  2
  $


  $ dtest --ne 2012-03-02T00:00:00 2012-03-02 || echo 'false'
  false
  $


  $ dtest 2012-03-02T09:00:00 --ot 2012-03-02T10:00:00 && echo "true"
  true
  $


  $ dtest 2012-03-02T07:00:00 --cmp 2012-03-02T09:30:00; echo "$@{?@}"
  2
  $


  $ dtest --cmp 2012-03-02T12:00:00 2012-03-02T09:30:00; echo "$@{?@}"
  1
  $


  $ dtest 2012-03-02T07:00:00 --cmp 09:30:00; echo "$@{?@}"
  3
  $
.SH AUTHOR
Written by Sebastian Freundt <freundt@fresse.org>
.SH "REPORTING BUGS"
Report bugs to: https://github.com/hroptatyr/dateutils/issues
.SH "SEE ALSO"
The full documentation for
.B dtest
is maintained as a Texinfo manual.  If the
.B info
and
.B dtest
programs are properly installed at your site, the command
.IP
.B info (dateutils)dtest
.PP
should give you access to the complete manual.
